routes/web.php
<?php

use App\Http\Controllers\EnfantsController;
use App\Http\Controllers\ResponsiblesController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
})->name('home');

Route::get('/extraits/{enfant}', [EnfantsController::class,'ActeDeNaissance'])->name('extraits');
Route::get('/listPrimaire', [EnfantsController::class,'LesEnfantsEnPrimaire'])->name('primary');
Route::get('/listOrphelina', [EnfantsController::class,'LesEnfantsDansOrphelina'])->name('orphelina');
Route::get('/listFoyer', [EnfantsController::class,'LesEnfantsEnFoyer'])->name('foyer');

Route::resource('/enfants', EnfantsController::class);
Route::resource('/responsibles', ResponsiblesController::class);

resources/views/layouts/partials/_formEnfant.blade.php
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="first_name">Prénom</label>
        <input type="text" name="first_name" class="form-control {{ $errors->has('first_name') ? 'is-invalid' : '' }}" id="first_name" value="{{ old('first_name')?? $enfant->first_name }}" placeholder="Ex : Amadou" >

        @error ('first_name')
        <div class="text-danger">
            {{ $message }}
        </div>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="last_name">Nom</label>
        <input type="text" name="last_name" class="form-control {{ $errors->has('last_name') ? 'is-invalid' : '' }}" id="last_name" value="{{ old('last_name')?? $enfant->last_name }}" placeholder="Ex : Coulibaly">

        @error ('last_name')
                <div class="text-danger">
                    {{ $message }}
                </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="father_name">Nom du Père</label>
        <input type="text" name="father_name" class="form-control {{ $errors->has('father_name') ? 'is-invalid' : '' }}" id="father_name" value="{{ old('father_name')?? $enfant->father_name }}" placeholder="Ex : Amadou Sylla" >

        @error ('father_name')
        <div class="text-danger">
            {{ $message }}
        </div>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="mother_name">Nom de la Mère</label>
        <input type="text" name="mother_name" class="form-control {{ $errors->has('mother_name') ? 'is-invalid' : '' }}" id="mother_name" value="{{ old('mother_name')?? $enfant->mother_name }}" placeholder="Ex : Wassa Coulibaly">

        @error ('mother_name')
                <div class="text-danger">
                    {{ $message }}
                </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="proffession_father">Proffession du Père</label>
        <input type="text" name="proffession_father" class="form-control {{ $errors->has('proffession_father') ? 'is-invalid' : '' }}" id="proffession_father" value="{{ old('proffession_father')?? $enfant->proffession_father }}" placeholder="Ex : Menusier" >

        @error ('proffession_father')
        <div class="text-danger">
            {{ $message }}
        </div>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="proffession_mother">Proffession de la Mère</label>
        <input type="text" name="proffession_mother" class="form-control {{ $errors->has('proffession_mother') ? 'is-invalid' : '' }}" id="mother_name" value="{{ old('proffession_mother')?? $enfant->proffession_mother }}" placeholder="Ex : Commerçante">

        @error ('proffession_mother')
                <div class="text-danger">
                    {{ $message }}
                </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="phone">Numéro de téléphone</label>
        <input type="text" name="phone" class="form-control {{ $errors->has('phone') ? 'is-invalid' : '' }}" id="phone" value="{{ old('phone') ?? $enfant->phone }}" placeholder="Ex : 74859625">

        @error ('phone')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label for="email">Email</label>
        <input type="email" name="email" class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" id="email" value="{{ old('email') ?? $enfant->email }}" placeholder="Ex : nom@gmail.com">

        @error ('email')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="school">Ecole</label>
        <input type="text" name="school" class="form-control {{ $errors->has('school') ? 'is-invalid' : '' }}" id="school" value="{{ old('school')?? $enfant->school }}" placeholder="nom de l'école" >

        @error ('school')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label for="schooling">Scolarité</label>
        <select id="schooling" class="font-secondary form-control {{ $errors->has('schooling') ? 'is-invalid' : '' }} js-select2"  name="schooling">
            <option value="Primaire">Primaire</option>
            <option value="Secondaire">Secondaire</option>
            <option value="Supérieur">Supérieur</option>
            <option value="Formation">Formation</option>
            <option value="Université">Université</option>
            <option value="Autre">Autre</option>
        </select>

        @error ('schooling')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="born_date">Date de naissance</label>
        <input type="date" name="born_date" class="form-control {{ $errors->has('born_date') ? 'is-invalid' : '' }}" id="born_date" value="{{ old('born_date')?? $enfant->born_date }}" selected>

        @error ('born_date')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label for="arrive_at">Date date d'arrivée</label>
        <input type="date" name="arrive_at" class="form-control {{ $errors->has('arrive_at') ? 'is-invalid' : '' }}" id="arrive_at" value="{{ old('arrive_at') ?? $enfant->arrive_at }}">

        @error ('arrive_at')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="family_situation">Situation familliale</label>
        <select id="family_situation" class="font-secondary form-control {{ $errors->has('family_situation') ? 'is-invalid' : '' }} js-select2"  name="family_situation">
            <option value="Orphelin de père">Orphelin de père</option>
            <option value="Orphelin de mère">Orphelin de mère</option>
            <option value="Orphelin de père et de mère">Orphelin de père et de mère</option>
            <option value="A une mère">A une mère</option>
            <option value="A un père">A un père</option>
            <option value="A ses deux parents">A ses deux parents</option>
        </select>

        @error ('family_situation')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="school_location">Lacalité de l'école</label>
        <input type="text" name="school_location" class="form-control {{ $errors->has('school_location') ? 'is-invalid' : '' }}" id="school_location" value="{{ old('school_location') ?? $enfant->school_location }}" placeholder="">

        @error ('school_location')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="description">Description</label>
       <textarea name="description" class="form-control {{ $errors->has('description') ? 'is-invalid' : '' }}" id="description" placeholder="bref description de l'enfant" cols="30" rows="2">{{ old('description')?? $enfant->description }}</textarea>

        @error ('description')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label for="proffession">Proffession</label>
        <input type="text" name="proffession" class="form-control {{ $errors->has('proffession') ? 'is-invalid' : '' }}" id="proffession" value="{{ old('proffession') ?? $enfant->proffession }}" placeholder="Ex : nom@gmail.com">

        @error ('proffession')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="age">Age</label>
        <input type="text" name="age" class="form-control {{ $errors->has('age') ? 'is-invalid' : '' }}" id="age" value="{{ old('age') ?? $enfant->age }}" placeholder="Ex: 12 ans" >

        @error ('age')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="responsible_id">Responsable en charge de l'enfant</label>
        <select id="responsible_id" class="font-secondary form-control {{ $errors->has('responsible_id') ? 'is-invalid' : '' }} js-select2"  name="responsible_id">
            <option value="choisissez le responsable de l'enfant">--choisissez le responsable de l'enfant--</option>
            @foreach($responsibles as $responsible)
                <option value="{{ $responsible->id }}">{{ $responsible->fullName() }}</option>
            @endforeach
        </select>

        @error ('responsible_id')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
</div>

<div class="form-row">
    <div class="form-group col-md-6">
        <label for="adress">Adresse</label>
        <input type="text" name="adress" class="form-control {{ $errors->has('adress') ? 'is-invalid' : '' }}" id="adress" value="{{ old('adress') ?? $enfant->adress }}" placeholder="Ex : ville quartier porte rue">

        @error ('adress')
            <div class="text-danger">
                {{ $message }}
            </div>
        @enderror
    </div>

    <div class="form-group col-md-6">
                <label for="image">Image</label>
                <input type="file" name="image" class="form-control {{ $errors->has('image') ? 'is-invalid' : '' }}" id="image" value="{{ old('image') ?? $enfant->image }}">
        
                @error ('image')
                    <div class="text-danger">
                        {{ $message }}
                    </div>
                @enderror
            </div>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="location">Foyer</label>
            <select name="location" id="location" class="form-control {{ $errors->has('location') ? 'is-invalid' : '' }}">
                <option value="En famille D'acceuil">En foyer</option>
                <option value="A l'orphélina">A l'orphelina</option>
            </select>

            @error ('location')
                <div class="text-danger">
                    {{ $message }}
                </div>
            @enderror
        </div>
    </div>
</div>



<input type="submit" value="{{ $submitButtonText }}" class="btn btn-primary">

resources/views/layouts/partials/_formResponsibles.blade.php
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="firstname">Prénom</label>
        <input type="text" name="first_name" class="form-control {{ $errors->has('first_name') ? 'is-invalid' : '' }}" id="firstname" value="{{ old('first_name') ?? $responsible->first_name }}" placeholder="Ex : Mala" autofocus>

        @error ('first_name')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label for="last_name">Nom</label>
        <input type="text" name="last_name" class="form-control {{ $errors->has('last_name') ? 'is-invalid' : '' }}" id="lastname" value="{{ old('lastname') ?? $responsible->last_name }}" placeholder="Ex : Traoré">

        @error ('last_name')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>
</div>
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="phone">Téléphone</label>
        <input type="text" name="phone" class="form-control {{ $errors->has('phone') ? 'is-invalid' : '' }}" id="phone" value="{{ old('phone') ?? $responsible->responsible }}" placeholder="Ex : 90354569" autofocus>

        @error ('phone')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>

    <div class="form-group col-md-6">
        <label class="form-control-label" for="email">Email</label>
        <input type="email" name="email" class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" id="email" value="{{ old('email') ?? $responsible->email }}" placeholder="Ex : Titulaire@gmail.com" >
        @error ('email')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>
</div>
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="profil">Profil</label>
        <select name="profil" class="form-control" id="profil">
            <option value="">---Profil---</option>
            <option value="Orphélina">Orphélina</option>
            <option value="Foyer d'acceuil">Foyer d'acceuil</option>
        </select>

        @error ('profil')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>
    <div class="form-group col-md-6">
        <label for="adress">Adresse</label>
        <input type="text" name="adress" class="form-control {{ $errors->has('adress') ? 'is-invalid' : '' }}" id="adress" value="{{ old('adress') ?? $responsible->adress }}" placeholder="Ex: ville, quartier, rue, porte" autofocus>

        @error ('adress')
            <span class="help-block invalid-feedback">{{ $message }}</span>
        @enderror
    </div>
</div>

<input type="submit" value="{{ $submitButtonText }}" class=" btn btn-primary">

resources/views/layouts/partials/_formUser.blade.php
<div class="form-row">
  <div class="form-group col-md-6">
    <label for="firstname">Prénom</label>
    <input type="text" name="firstname" class="form-control {{ $errors->has('firstname') ? 'is-invalid' : '' }}" id="firstname" value="{{ old('firstname') ?? $user->firstname }}" placeholder="Ex : " autofocus>
    {!! $errors->first('firstname', '<span class="help-block invalid-feedback">:message</span>') !!}
  </div>
  <div class="form-group col-md-6">
    <label for="lastname">Nom</label>
    <input type="text" name="lastname" class="form-control {{ $errors->has('lastname') ? 'is-invalid' : '' }}" id="lastname" value="{{ old('lastname') ?? $user->lastname }}" placeholder="Ex : Coulibaly">
    {!! $errors->first('lastname', '<span class="help-block invalid-feedback">:message</span>') !!}
  </div>
</div>

<div class="form-row">
  <div class="form-group col-md-6">
    <label for="phone">Téléphone</label>
    <input type="text" name="phone" class="form-control {{ $errors->has('phone') ? 'is-invalid' : '' }}" id="phone" value="{{ old('phone') ?? $user->phone }}" placeholder="">
    {!! $errors->first('phone', '<span class="help-block invalid-feedback">:message</span>') !!}
  </div>
  <div class="form-group col-md-6">
    <label for="post">Email</label>
    <input type="text" name="email" class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" id="email" value="{{ old('email') ?? $user->email }}" placeholder="">
    {!! $errors->first('category_id', '<span class="help-block invalid-feedback">:message</span>') !!}
  </div>
</div>
<div class="form-row">
  <div class="form-group col-md-6">
    <label for="password">Mot de passe</label>
    <input type="text" name="password" class="form-control {{ $errors->has('password') ? 'is-invalid' : '' }}" id="password" value="{{ old('password') ?? $user->password }}" placeholder="">
    {!! $errors->first('password', '<span class="help-block invalid-feedback">:message</span>') !!}
  </div>
</div>
<div class="form-group">
  <input type="submit" value="{{ $submitButtonText }}" class=" btn btn-primary btn-block">
</div>

resources/views/layouts/partials/head.blade.php
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0" name="viewport">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-touch-fullscreen" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title') - {{ config('app.name') }}</title>
    <link rel="icon" type="image/x-icon" href="{{ asset('assets/img/ONG_LOGO.JPG') }}"/>

    <link rel="icon" href="{{ asset('assets/img/ONG_LOGO.JPG') }}" type="image/png" sizes="16x16">
    <link rel="stylesheet" href="{{ asset('assets/vendor/pace/pace.css') }}"/>
    <script src="{{ asset('assets/vendor/pace/pace.js') }}"></script>
    <!--vendors-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/vendor/datepicker/datepicker.css') }}"/>
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/vendor/select2/select2.css') }}"/>

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,500,600" rel="stylesheet">
    <!--Material Icons-->
    <link rel="stylesheet" type="text/css" href="//cdn.materialdesignicons.com/4.5.95/css/materialdesignicons.min.css"/>
    <!--Material Icons-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/fonts/feather/feather-icons.css') }}"/>
    <!--Bootstrap + atmos Admin CSS-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/atmos.min.css') }}"/>
    <!-- Additional library for page -->
    <link rel="stylesheet" type="text/css" href="{{ asset('css/app.css') }}">

   <link rel="stylesheet" type="text/css" href="{{ asset('assets/vendor/fontawesome/css/all.min.css') }}">

    @yield("head")
</head>

resources/views/layouts/partials/header.blade.php
<header class="admin-header">
    <a href="#" class="sidebar-toggle" data-toggleclass="sidebar-open" data-target="body"> </a>

    <nav class="ml-auto">
        <ul class="nav align-items-center">
            <li class="nav-item dropdown ">
                <div class="dropdown-menu  dropdown-menu-right">
                    {{-- <a class="dropdown-item" href="{{ route('profile.index') }}">Mon Profil</a> --}}
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="">Déconnexion</a>
                </div>
            </li>
        </ul>
    </nav>
</header>

resources/views/layouts/partials/sidebar.blade.php
<aside class="admin-sidebar">
    <div class="admin-sidebar-brand">
        <!-- begin sidebar branding-->
        <img class="admin-brand-logo" src="{{ asset('assets/img/ONG_LOGO.JPG') }}" width="80" alt="{{ config('app.name') }}">
        <!-- end sidebar branding-->
        <div class="ml-auto">
            <!-- sidebar pin-->
            <a href="#" class="admin-pin-sidebar btn-ghost btn btn-rounded-circle"></a>
            <!-- sidebar close for mobile device-->
            <a href="#" class="admin-close-sidebar"></a>
        </div>
    </div>
    <div class="admin-sidebar-wrapper js-scrollbar">
        <ul class="menu">
            <li class="menu-item {{ (Route::currentRouteName() == 'home') ? 'active' : '' }}">
                <a href="{{ route('home') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Tableau de bord
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-view-dashboard"></i>
                    </span>
                </a>
            </li>

            <li class="menu-item {{ (Route::currentRouteName() == 'enfants*') ? 'active' : '' }}">
                <a href="{{ route('enfants.index') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Enfants
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-human-child"></i>
                    </span>
                </a>
            </li>

            <li class="menu-item {{ (Route::currentRouteName() == 'responsibles*') ? 'active' : '' }}">
                <a href="{{ route('responsibles.index') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Responsables
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-teach"></i>
                    </span>
                </a>
            </li> 

            <li class="menu-item {{ (Route::currentRouteName() == 'denhres*') ? 'active' : '' }}">
                <a href="#" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Denhrées
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-food"></i>
                    </span>
                </a>
            </li>

            {{-- <li class="menu-item {{ (Route::currentRouteName() == 'groups.index') ? 'active' : '' }}">
                <a href="{{ route('groups.index') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Groupes
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-account-group"></i>
                    </span>
                </a>
            </li>

            <li class="menu-item {{ (Route::currentRouteName() == 'messages.index') ? 'active' : '' }}">
                <a href="{{ route('messages.index') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Messages
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-message"></i>
                    </span>
                </a>
            </li>

            <li class="menu-item">
                <a href="{{ route('logout') }}" class="menu-link">
                    <span class="menu-label">
                        <span class="menu-name">
                            Déconnexion
                        </span>
                    </span>

                    <span class="menu-icon">
                        <i class="icon-placeholder mdi mdi-logout"></i>
                    </span>
                </a>
            </li>--}}
        </ul>
    </div>
</aside>